import { db } from "@/lib/db"
import fetchUserWithImpersonation from "@/lib/fetch-user-impersonation";
import { NextResponse } from "next/server";

export async function GET(req: Request) {
    try {
      console.log("ABC 1")
        const user = await fetchUserWithImpersonation(req);
        if (!user) {
          return new NextResponse("Unauthorized", { status: 401 });
        }
        console.log("ABC 2")

        const api = await db.twitchConnection.findFirst({
          where: {
            userId: user.id
          }
        })
        console.log("ABC 3")
        if (!api) {
          return new NextResponse("Forbidden", { status: 403 });
        }

        console.log("ABC 4")
        const data = {
          client_id: process.env.TWITCH_BOT_CLIENT_ID,
          client_secret: process.env.TWITCH_BOT_CLIENT_SECRET,
          access_token: api.accessToken,
          refresh_token: api.refreshToken,
          broadcaster_id: api.broadcasterId
        }
        console.log("ABC 5", data)
        return NextResponse.json(data);
    } catch (error) {
        console.log("[TOKENS/GET]", error);
        return new NextResponse("Internal Error", { status: 500 });
    }
}